<?php
/*
Plugin Name: Namasha
Plugin URI: https://namasha.com
Description: Show video namasha in wordpress
Version: 0.1
Author: Rayoweb
Author URI: http://Rayoweb.ir
Text Domain: wpnamasha
Domain Path: /languages
*/


/* Plugin Descriptions Translation */

$name = __("Namasha", "wpnamasha");
$description = __("Show video namasha in wordpress", "wpnamasha");
$author = __("Rayoweb", "wpnamasha");

/* Load Plugin Text Domain */

load_plugin_textdomain('wpnamasha', false, basename(dirname(__FILE__)) . '/languages');


/* Wordpress Editor And Shortcode */

function wpnamasha_shortcode($atts)
{
    extract(
        shortcode_atts(array(
            'id' => '',
            'width' => '600',
            'height' => false,
            'responsive' => false
        ), $atts)
    );

    if (!$height) {
        $height = intval(9 * $width / 16);
    }
    if ($responsive) {
        return "
<div class='namasha-embed'>
<iframe  src='https://www.namasha.com/embed/{$id}' frameborder='0' scrolling='no' allowfullscreen='true' class='namasha-embed-iframe'></iframe>
</div>";
    } else {
        return "<iframe src='https://www.namasha.com/embed/{$id}' width='{$width}' height='{$height}' allowfullscreen='true' class='wpnamasha-frame'></iframe>";
    }
}

add_shortcode('namasha', 'wpnamasha_shortcode');

function wpnamasha_editor_botton($buttons)
{
    array_push($buttons, "separator", "namasha_shortcode");
    return $buttons;
}

add_filter('mce_buttons', 'wpnamasha_editor_botton', 0);


/* Load Scripts And Styles To Site */

function wpnamasha_adding_scripts()
{
    wp_enqueue_style('wpnamasha', plugin_dir_url(__FILE__) . "css/style.css", null, null);
}

add_action('wp_enqueue_scripts', 'wpnamasha_adding_scripts');

add_filter('body_class', 'wpnamasha_body_class');
function wpnamasha_body_class($classes)
{
    if (is_rtl()) {
        $classes[] = 'rtl';
    }
    return $classes;
}

function wpnamasha_admin_css()
{
    if (is_rtl()) {
        echo '<style>
			.mce-container .mce-container-body {
				direction: rtl !important;
				text-align: right !important;
			} 
		</style>';
    }
    echo '<style>
		.mce-btn[aria-label="add namasha video"] .mce-ico, .mce-btn[aria-label="&#1575;&#1601;&#1586;&#1608;&#1583;&#1606; &#1608;&#1740;&#1583;&#1740;&#1608;&#1740; &#1570;&#1662;&#1575;&#1585;&#1575;&#1578;"] .mce-ico {
			width: 62px !important;
		} 
		.mce-textbox.mce-namahs_text_box{
		opacity: 0;
		}
		.mce-textbox.mce-namahs_text_box.show{
	opacity: 1;
		}
	</style>';
}

add_action('admin_head', 'wpnamasha_admin_css');


/* Add TinyMCE Button */

function wpnamasha_add_tinymce()
{
    global $typenow;

    if (!in_array($typenow, array('post', 'page')))
        return;

    add_filter('mce_external_plugins', 'wpnamasha_add_tinymce_plugin');
}

add_action('admin_head', 'wpnamasha_add_tinymce');

function wpnamasha_add_tinymce_plugin($plugin_array)
{
    $plugin_array['namasha_shortcode'] = plugins_url('js/plugin.js', __FILE__);
    return $plugin_array;
}

function wpnamasha_admin_js_variables()
{
    echo '
	<script>
		var namasha_video_add		= "' . __("add namasha video", 'namasha') . '";
		var namasha_video_id			= "' . __("آی دی:", 'namasha') . '";
		var namasha_video_rsponseive			= "' . __("واکنش گرا:", 'namasha') . '";
		var namasha_video_size			= "' . __("اندازه دلخواه:", 'namasha') . '";
		var namasha_video_id_insert	= "' . __("&#1575;&#1601;&#1586;&#1608;&#1583;&#1606; &#1608;&#1740;&#1583;&#1740;&#1608; &#1575;&#1586; &#1606;&#1605;&#1575;&#1588;&#1575;", 'namasha') . '";
		var namasha_video_id_desc	= "' . __("&#1576;&#1585;&#1575;&#1740; &#1605;&#1579;&#1575;&#1604;: https://www.namasha.com/v/RaddWeTk &#1570;&#1740; &#1583;&#1740;:RaddWeTk", 'namasha') . '";
		var namasha_video_width		= "' . __("عرض:", 'namasha') . '";
		var namasha_video_height		= "' . __("ارتفاع:", 'namasha') . '";
		var namasha_video_width_desc	= "' . __("", 'namasha') . '";
		var namasha_video_width_dft	= "' . __("", 'namasha') . '";
	</script>
	';
}

add_action('admin_head', 'wpnamasha_admin_js_variables');

?>